package com.jz.dmp.modules.controller.bean;

import java.util.ArrayList;
import java.util.List;
import org.springframework.beans.BeanUtils;
import com.jz.dmp.modules.model.DmpOptLog;

public class MyDmpOptLogConverter {
	
	private static MyDmpOptLogConverter instance;
	
	private MyDmpOptLogConverter() {};
	
	public synchronized static MyDmpOptLogConverter INSTANCE() {
		if (instance==null) {
			instance = new MyDmpOptLogConverter();
		}
		
		return instance;
	}
	
	public DmpOptLogDto domain2dto(DmpOptLog dmpOptLog) {
		DmpOptLogDto dmpOptLogDto = new DmpOptLogDto();
		BeanUtils.copyProperties(dmpOptLog, dmpOptLogDto);
		
		return dmpOptLogDto;
	}
	
	public List<DmpOptLogDto> domain2dto(List<DmpOptLog> dmpOptLogs) {
		List<DmpOptLogDto> dmpOptLogDtos = new ArrayList<DmpOptLogDto>();
		dmpOptLogs.stream().forEach(x -> {
			dmpOptLogDtos.add(domain2dto(x));
		});
		
		return dmpOptLogDtos;
	}
	
	public DmpOptLog dto2domain(DmpOptLogDto dmpOptLogDto) {
		DmpOptLog dmpOptLog = new DmpOptLog();
		BeanUtils.copyProperties(dmpOptLogDto, dmpOptLog);
		
		return dmpOptLog;
	}
	
	public List<DmpOptLog> dto2domain(List<DmpOptLogDto> dmpOptLogDtos) {
		List<DmpOptLog> dmpOptLogs = new ArrayList<DmpOptLog>();
		dmpOptLogDtos.stream().forEach(x -> {
			dmpOptLogs.add(domain2dto(x));
		});
		
		return dmpOptLogs;
	}

}
